parameters:
    opentalent.enum:
        #AccessAndFunction
          function: 'App\Enum\AccessAndFunction\FunctionEnum'
          function_activities: 'App\Enum\AccessAndFunction\ActivitiesFunctionEnum'
          function_administratives: 'App\Enum\AccessAndFunction\AdministrativesFunctionEnum'
          function_associatives: 'App\Enum\AccessAndFunction\AssociativesFunctionEnum'
          function_departures_cause: 'App\Enum\AccessAndFunction\DeparturesCauseEnum'
          function_pedagogics: 'App\Enum\AccessAndFunction\PedagogicsFunctionEnum'
          function_other: 'App\Enum\AccessAndFunction\OtherFunctionEnum'
          function_type: 'App\Enum\AccessAndFunction\TypeFunctionEnum'
          license_type: 'App\Enum\AccessAndFunction\LicenseTypeEnum'
          license_rate: 'App\Enum\AccessAndFunction\LicenseRateEnum'
          function_role: 'App\Enum\AccessAndFunction\FunctionalRoleEnum'

        #AccessSocial
          professional_status: 'App\Enum\AccessSocial\ProfessionalStatusEnum'
          type_of_contact: 'App\Enum\AccessSocial\TypeOfContractEnum'
          assisted_contract: 'App\Enum\AccessSocial\AssistedContractEnum'
          period_unit: 'App\Enum\AccessSocial\PeriodUnitEnum'
          family_situation: 'App\Enum\AccessSocial\FamilySituationEnum'

        #Core
          period: 'App\Enum\Core\PeriodEnum'
          action_status_type: 'App\Enum\Core\ActionStatusTypeEnum'
          control_type: 'App\Enum\Core\ControlTypeEnum'
          repair_type: 'App\Enum\Core\RepairTypeEnum'
          contact_point_type: 'App\Enum\Core\ContactPointTypeEnum'
          contact_point_type_person: 'App\Enum\Core\ContactPointTypePersonEnum'
          appreciation: 'App\Enum\Core\AppreciationEnum'
          semester: 'App\Enum\Core\SemesterEnum'
          trimester: 'App\Enum\Core\TrimesterEnum'
          month: 'App\Enum\Core\MonthEnum'
          notification_type: 'App\Enum\Core\NotificationTypeEnum'
          tips_priority_level: 'App\Enum\Core\PriorityLevelEnum'
          tips_type_person: 'App\Enum\Core\TipsTypePersonEnum'
          tips_network: 'App\Enum\Core\TipsNetworkEnum'
          tips_product: 'App\Enum\Core\TipsProductEnum'
          days_enum: 'App\Enum\Core\DaysEnum'
          timezone: 'App\Enum\Core\TimeZoneEnum'
          tagtextcolor: 'App\Enum\Core\TagTextColorEnum'
          tips_legalstatus: 'App\Enum\Core\TipsLegalStatusEnum'

        #Donor
          donor_displayed_on: 'App\Enum\Donor\DonorDisplayedOnEnum'
          donor_status: 'App\Enum\Donor\DonorStatusEnum'

        #Network
          network_leading: 'App\Enum\Network\LeadingCauseEnum'
          network: 'App\Enum\Network\NetworkEnum'

        #Organization
          organization_category: 'App\Enum\Organization\CategoryEnum'
          organization_financial: 'App\Enum\Organization\FinancialEnum'
          organization_legal: 'App\Enum\Organization\LegalEnum'
          organization_opca: 'App\Enum\Organization\OpcaEnum'
          organization_principal_type: 'App\Enum\Organization\PrincipalTypeEnum'
          organization_school_cat: 'App\Enum\Organization\SchoolCategoryEnum'
          organization_type_establishment_detail: 'App\Enum\Organization\TypeEstablishmentDetailEnum'
          organization_type_establishment: 'App\Enum\Organization\TypeEstablishmentEnum'
          organization_familly_type: 'App\Enum\Organization\FamillyTypeEnum'
          organization_sub_familly_type: 'App\Enum\Organization\SubFamillyTypeEnum'
          organization_bulletin_period: 'App\Enum\Organization\BulletinPeriodEnum'
          organization_bulletin_output: 'App\Enum\Organization\BulletinOutputEnum'
          organization_bulletin_send_to: 'App\Enum\Organization\SendToBulletinEnum'
          organization_setting_country: 'App\Enum\Organization\CountryEnum'
          address_postal_organization: 'App\Enum\Organization\AddressPostalOrganizationTypeEnum'

        #Person
          person_gender: 'App\Enum\Person\GenderEnum'
          person_insee: 'App\Enum\Person\InseeEnum'
          person_medal_type: 'App\Enum\Person\MedalTypeEnum'
          person_moral_type: 'App\Enum\Person\MoralPersonTypeEnum'
          medal_type: 'App\Enum\Person\MedalTypeEnum'
          address_postal_person: 'App\Enum\Person\AddressPostalPersonTypeEnum'

        #Place
          place_day_of_week: 'App\Enum\Place\DayOfWeekEnum'
          place_site_status: 'App\Enum\Place\SiteStatusEnum'
          place_site_type: 'App\Enum\Place\SiteTypeEnum'

        #Product
          equipment_appreciation: 'App\Enum\Product\AppreciationEnum'
          equipment_control_type: 'App\Enum\Product\ControlTypeEnum'
          equipment_loan_type: 'App\Enum\Product\LoanTypeEnum'
          equipment_category: 'App\Enum\Product\EquipmentCategoryEnum'
          equipment_detail: 'App\Enum\Product\EquipmentDetailEnum'
          equipment_family: 'App\Enum\Product\EquipmentFamillyEnum'
          equipment_group: 'App\Enum\Product\EquipmentGroupEnum'
          equipment_insurance: 'App\Enum\Product\EquipmentInsuranceEnum'
          equipment_logistical_platform: 'App\Enum\Product\EquipmentLogisticalPlatformEnum'
          equipment_status: 'App\Enum\Product\EquipmentStatusEnum'
          equipment_tone: 'App\Enum\Product\EquipmentToneEnum'
          equipment_used_for: 'App\Enum\Product\EquipmentUsedForEnum'
          equipment_repair_type: 'App\Enum\Product\RepairTypeEnum'
          equipment_band: 'App\Enum\Product\BandEnum'
          equipment_difficulty: 'App\Enum\Product\DifficultyEnum'
          equipment_origin: 'App\Enum\Product\OriginMusicScoreEnum'
          equipment_outcause: 'App\Enum\Product\OutCauseEnum'
          equipment_checking: 'App\Enum\Product\CheckingEnum'
          intangible_amount_type: 'App\Enum\Product\IntangibleAmountTypeEnum'
          equipment_periodicity_control: 'App\Enum\Product\PeriodicityControlEnum'

        #Event
          event_type: 'App\Enum\Booking\EventTypeEnum'
          event_visibility: 'App\Enum\Booking\VisibilityEnum'
          event_type_gender: 'App\Enum\Booking\EventGenderTypeEnum'
          event_educationalproject_establishment: 'App\Enum\Booking\EducationalProjectEstablishmentEnum'
          event_educationalproject_specialclass: 'App\Enum\Booking\EducationalProjectSpecialClassEnum'
          event_educationalproject_educationaldevice: 'App\Enum\Booking\EducationalProjectEducationalDeviceEnum'
          examen_convocation_status: 'App\Enum\Booking\ExamenConvocationStatusEnum'
          examen_convocation_presence: 'App\Enum\Booking\ExamenConvocationPresenceEnum'
          examen_timeline: 'App\Enum\Booking\ExamenTimelineTypeEnum'
          course_timeline: 'App\Enum\Booking\CourseTimelineTypeEnum'
          organization_holiday_timeline: 'App\Enum\Booking\OrganizationHolidayTimelineTypeEnum'
          person_holiday_timeline: 'App\Enum\Booking\PersonHolidayTimelineTypeEnum'
          event_timeline: 'App\Enum\Booking\EventTimelineTypeEnum'
          educational_project_timeline: 'App\Enum\Booking\EducationalProjectTimelineTypeEnum'
          event_participation: 'App\Enum\Booking\ParticipationStatusEnum'

        # File
          file_visibility: 'App\Enum\Core\FileVisibilityEnum'
          file_folder: 'App\Enum\Core\FileFolderEnum'
          file_status: 'App\Enum\Core\FileStatusEnum'

        #education
          education: 'App\Enum\Education\EducationTypeEnum'
          education_year: 'App\Enum\Education\YearEnum'
          education_period: 'App\Enum\Education\PeriodEnum'
          education_periodicity: 'App\Enum\Education\PeriodicityEnum'
          education_cycle: 'App\Enum\Education\CycleEnum'
          advanced_education_notation: 'App\Enum\Education\AdvancedEducationNotationTypeEnum'

          #billing
          billing_periodicity: 'App\Enum\Billing\PeriodicityEnum'
          billing_type_periodicity: 'App\Enum\Billing\PeriodicityTypeEnum'
          billing_pricingline_adhesion: 'App\Enum\Billing\PricingLineAdhesionEnum'
          billing_pricingline_productrent: 'App\Enum\Billing\PricingLineProductRentEnum'
          billing_discount_global_tariff_family: 'App\Enum\Billing\DiscountGlobalTariffFamilyEnum'
          billing_pricingline_invoice_line: 'App\Enum\Billing\PricingLineInvoiceLineEnum'
          billing_payment_choice: 'App\Enum\Billing\PaymentChoiceEnum'
          billing_bank: 'App\Enum\Billing\BankEnum'
          billing_periodicity_payment: 'App\Enum\Billing\PeriodicityPaymentEnum'
          billing_rent_reduction_type: 'App\Enum\Billing\ReductionTypeEnum'
          billing_rent_year: 'App\Enum\Billing\RentYearEnum'
          billing_family_reduction_type: 'App\Enum\Billing\FamilyReductionTypeEnum'
          billing_payment_state: 'App\Enum\Billing\PaymentStateEnum'
          billing_period: 'App\Enum\Billing\PeriodEnum'
          billing_adhesion_choice: 'App\Enum\Billing\AdhesionChoiceEnum'
          billing_order_adult_type_choice: 'App\Enum\Billing\OrderAdultTypeEnum'
          billing_adult_condition_type_choice: 'App\Enum\Billing\AdultConditionTypeEnum'
          billing_payment_type_choice: 'App\Enum\Billing\PaymentTypeEnum'
          billing_type: 'App\Enum\Billing\BillingTypeEnum'

        #message
          message_status: 'App\Enum\Message\MessageStatusEnum'
          report_message_satus: 'App\Enum\Message\ReportMessageSatusEnum'
          message_sender: 'App\Enum\Message\SenderEnum'
          message_sender_only_access: 'App\Enum\Message\SenderOnlyAccessEnum'
          message_send_to: 'App\Enum\Message\SendToEnum'

        #rules
          default_rules: 'App\Enum\Rulerz\RulesEnum'
          manager_rules: 'App\Enum\Rulerz\RulesManagerEnum'

        #commission
          commission_member_function: 'App\Enum\Person\CommissionMemberFunctionEnum'
          commission_member_cause_output: 'App\Enum\Person\CauseOutputEnum'

        #Cotisation
          cotisation_function_enum_choices: 'App\Enum\Cotisation\CotisationFunctionEnum'
          type_of_practices_enum: 'App\Enum\Cotisation\TypeOfPracticeEnum'
          category_type_of_practices_enum: 'App\Enum\Cotisation\CategoryTypeOfPracticeEnum'

        #OnlineRegistration
          onlineregistration_registration_status: 'App\Enum\OnlineRegistration\RegistrationStatus'
          onlineregistration_wish_registration: 'App\Enum\OnlineRegistration\WishRegistration'
          onlineregistration_file_type: 'App\Enum\OnlineRegistration\FileTypeEnum'
          onlineregistration_origin_education_student_wish: 'App\Enum\OnlineRegistration\EducationStudentWishOriginEnum'
